Vous êtes ici : > Accueil > Installation

Installation du BBComposer

Le BBComposer est une extension pour Firefox, il vous faut donc installer gratuitement Firefox sur votre ordinateur (si ce n'est pas déjà fait).

Le BBComposer

Revenez sur ce site avec Firefox et démarrez l'installation du BBComposer en cliquant sur ce lien. Redémarrez Firefox pour prendre en compte les changements. Vous pourrez désintaller le BBComposer et Firefox à tout moment. De plus, vous serez automatiquement alerté des nouvelles mises à jour disponibles.

Attention, s'il s'agit de la première fois que vous téléchargez le BBComposer, il se peut que Firefox bloque son installation. Si c'est le cas, vous verrez apparaître une barre en haut du site vous l'indiquant. Vous devez autoriser le site pour pouvoir effectuer l'installation et cliquer à nouveau sur le lien d'installation.

Où l'utiliser ?

  • Forums : Le BBComposer peut-être utilisé dans tous les forums. Pour certains, il détectera automatiquement les champs à éditer en WYSIWYG.
  • Les blogs de Blogger.com : Cette plateforme propose des blogs compatibles avec le XHTML. Le problème, c'est que l'éditeur WYSIWYG utilisé ne respecte pas cette norme. De plus, il ne permet pas de créer du contenu avec une valeur sémantique, ce qui est conseillé pour plaire aux moteurs. Le BBComposer permet d'éliminer ces défauts. On peut appliquer ce raisonnement à d'autres plateformes de blog.
  • Les CMS : Drupal (en choisissant le mode full XHTML), Wordpress, Spip (avec l'extension Spip Typo ou directement en XHTML)
  • Les Skyblogs : avec l'extension Blogwyg.

Support

Pour obtenir de l'aide, vous pouvez vous rendre sur notre forum ou, dans la rubrique d'aide. Un site de démonstration des solutions Elitwork est disponible afin de pouvoir le tester (en mode XBBCode semblable au mode XHTML).

Problèmes connus

Le BBComposer peut ne pas fonctionner sur votre ordinateur suite à l'une de ces raisons :

  • Vous utilisez une extension qui prend le contrôle des champs du formulaire (par exemple, un correcteur d'orthographe). Dans ce cas, nous vous conseillons soit, de désactiver cette extension, soit, de désactiver la correction orthographique automatique. La barre d'outil Google inclue un bouton permettant d'activer ou désactiver la correction orthographique.
  • Vous êtes sur un formulaire qui n'est pas accessible. En effet, notre composeur utilise l'attribut id pour détecter le champ à éditer. Si il n'est pas présent, ce n'est pas possible. Un petit message au webmaster ainsi qu'un lien vers cette page lui permettront de comprendre l'intérêt de l'attribut id dans les formulaires.